Upstream information

CVE-2019-10196 at MITRE

Description

A flaw was found in http-proxy-agent, prior to version 2.1.0. It was discovered http-proxy-agent passes an auth option to the Buffer constructor without proper sanitization. This could result in a Denial of Service through the usage of all available CPU resources and data exposure through an uninitialized memory leak in setups where an attacker could submit typed input to the auth parameter.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9
Vector AV:N/AC:L/Au:N/C:P/I:P/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 7.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3.1 3
SUSE Bugzilla entry: 1140751 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Enterprise Storage 4 nodejs4 Not affected
SUSE Enterprise Storage 4 nodejs6 Not affected
SUSE Linux Enterprise High Performance Computing 12 nodejs10 Already fixed
SUSE Linux Enterprise High Performance Computing 12 nodejs4 Not affected
SUSE Linux Enterprise High Performance Computing 12 nodejs6 Not affected
SUSE Linux Enterprise High Performance Computing 15 nodejs10 Already fixed
SUSE Linux Enterprise High Performance Computing 15 nodejs8 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs10 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs4 Not affected
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs6 Not affected
SUSE Linux Enterprise Module for Web and Scripting 15 nodejs10 Already fixed
SUSE Linux Enterprise Module for Web and Scripting 15 nodejs8 Already fixed
SUSE Linux Enterprise Server 12 nodejs10 Already fixed
SUSE Linux Enterprise Server 12 nodejs4 Not affected
SUSE Linux Enterprise Server 12 nodejs6 Not affected
SUSE Linux Enterprise Server 12 SP3 nodejs10 Already fixed
SUSE Linux Enterprise Server 12 SP3 nodejs4 Not affected
SUSE Linux Enterprise Server 12 SP3 nodejs6 Not affected
SUSE Linux Enterprise Server 12 SP4 nodejs10 Already fixed
SUSE Linux Enterprise Server 12 SP4 nodejs4 Not affected
SUSE Linux Enterprise Server 12 SP4 nodejs6 Not affected
SUSE Linux Enterprise Server 12 SP5 nodejs10 Already fixed
SUSE Linux Enterprise Server 12 SP5 nodejs4 Not affected
SUSE Linux Enterprise Server 12 SP5 nodejs6 Not affected
SUSE Linux Enterprise Server 15 nodejs10 Already fixed
SUSE Linux Enterprise Server 15 nodejs8 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 nodejs10 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 nodejs4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 nodejs6 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 nodejs10 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 nodejs4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 nodejs6 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 nodejs10 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 nodejs4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 nodejs6 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 nodejs10 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 nodejs4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 nodejs6 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 nodejs10 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 nodejs8 Already fixed
SUSE OpenStack Cloud 7 nodejs6 Not affected
SUSE OpenStack Cloud Crowbar 8 nodejs6 Not affected
SUSE Studio Onsite 1.3 nodejs Not affected